この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

FlexiPage

Lightning ページとその詳細のリストを返します。返される情報には、Lightning ページの範囲、各範囲内のコンポーネント、各コンポーネントのプロパティ、および関連付けられた QuickActions が含まれます。このリソースは API バージョン 29.0 以降で使用できます。

これらのアプリケーションページは、API では FlexiPage と呼ばれますが、残りの Salesforce ドキュメントおよび UI では Lightning ページと呼ばれます。

メモ

構文

URI
Lightning ページの詳細をすべて返すには、/vXX.X/flexiPage/Lightning ページの ID を使用します。
形式
JSON、XML
HTTP メソッド
HEAD, GET
認証
Authorization: Bearer token
パラメータ
不要

ルート Lightning ページリソースの取得
1curl https://na1.salesforce.com/services/data/v29.0/flexiPage/ -H "Authorization: Bearer token"
名前が Deliveries である Lightning ページの取得
1curl https://na1.salesforce.com/services/data/v29.0/flexiPage/Deliveries -H "Authorization: Bearer token"
/vXX.X/flexiPage/ のリクエストボディの例
不要
/vXX.X/flexiPage/ のレスポンスボディの例
1{
2 "urls" : {
3   "flexiPage" : "/services/data/v29.0/flexiPage",
4   "rowTemplate" : "/services/data/v29.0/flexiPage/{Developer Name of FlexiPage}"
5 }
6}
/vXX.X/flexiPage/{Developer Name of FlexiPage} のリクエストボディの例
不要
/vXX.X/flexiPage/{Developer Name of FlexiPage} のレスポンスボディの例

このコード例には、quickActionList 情報が含まれています。REST API でのクイックアクションについての詳細は、Quick ActionsおよびsObject Quick Actionsを参照してください。

メモ

1[ {
2  "id" : "0M0xx0000000049CAA",
3  "name" : "Deliveries",
4  "label" : "Deliveries",
5  "type" : "AppPage",
6  "regions" : [ {
7    "name" : "main",
8    "components" : [ {
9      "properties" : [ {
10        "name" : "filterName",
11        "value" : "Todays_Deliveries"
12      }, {
13        "name" : "entityName",
14        "value" : "Delivery__c"
15      } ],
16      "typeName" : "filterListCard",
17      "typeNamespace" : "flexipage"
18    }, {
19      "properties" : [ {
20        "name" : "entityNames",
21        "value" : "Delivery__c,Return_Item__c"
22      } ],
23      "typeName" : "recentItems",
24      "typeNamespace" : "flexipage"
25    } ]
26  } ],
27  "quickActionList" : {
28    "quickActionListItems" : [ {
29      "quickActionName" : "New_Delivery",
30      "type" : "Create",
31      "colors" : [ {
32        "color" : "e1be5c",
33        "theme" : "theme4",
34        "context" : "primary"
35      }, {
36        "color" : "AA8E0A",
37        "theme" : "theme3",
38        "context" : "primary"
39      } ],
40      "accessLevelRequired" : null,
41      "globalAction" : true,
42      "miniIconUrl" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck16.png",
43      "label" : "New Delivery",
44      "urls" : {
45        "defaultValuesTemplate" : "/services/data/v29.0/quickActions/New_Delivery/defaultValues/{ID}",
46        "quickAction" : "/services/data/v29.0/quickActions/New_Delivery",
47        "defaultValues" : "/services/data/v29.0/quickActions/New_Delivery/defaultValues",
48        "describe" : "/services/data/v29.0/quickActions/New_Delivery/describe"
49      },
50      "targetSobjectType" : "Delivery__c",
51      "iconUrl" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck32.png",
52      "icons" : [ {
53        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck32.png",
54        "contentType" : "image/png",
55        "theme" : "theme3",
56        "height" : 32,
57        "width" : 32
58      }, {
59        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/custom51_100/truck16.png",
60        "contentType" : "image/png",
61        "theme" : "theme3",
62        "height" : 16,
63        "width" : 16
64      }, {
65        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/t4/custom/custom98.svg",
66        "contentType" : "image/svg+xml",
67        "theme" : "theme4",
68        "height" : 0,
69        "width" : 0
70      }, {
71        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/t4/custom/custom98_60.png",
72        "contentType" : "image/png",
73        "theme" : "theme4",
74        "height" : 60,
75        "width" : 60
76      }, {
77        "url" : "http://{SALESFORCE-APPSERVER-DOMAIN}/img/icon/t4/custom/custom98_120.png",
78        "contentType" : "image/png",
79        "theme" : "theme4",
80        "height" : 120,
81        "width" : 120
82      } ]
83    } ]
84  }
85} ]
このサンプルコードの内容は次のとおりです。
  • name — 範囲の名前
  • components — 範囲内の Lightning コンポーネントの配列
  • properties — コンポーネントのプロパティの配列
  • typeNameLightning コンポーネントの名前
  • typeNamespaceLightning コンポーネントの名前空間